<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-16;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Rect($margemEsquerda,1,$margemDireita,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Times','B',11);
			 $pdf->setXY($margemEsquerda,30);	$pdf->Cell($larguraUtil,6,utf8_decode('FICHA DE ANALISE TETRAZÓLIO - Repetições e resumo'),1,1,'C');//lab nome
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	         $pdf->SetFont('Times','B',9);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[1],0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[2],0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[3],0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,$vetorLaboratorio[4],0,1,'C');//lab nome
 
            
			//SETOR DE IDENTIFICACAO DA AMOSTRA
			 //ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			//$generica->extras_select =" where fic_enquadramento='".$enquadramento."' && prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
            $cota1=38; 
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
			//$cota1=$cota1+30;
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,'Amostra:'.$amostra.'/'.$ano,1,0,'L');//amostra
		    $pdf->Cell(50,5,'Lote:'.$lote,1,0,'L');//lote
		    $pdf->Cell(50,5,'Cultivar:'.$cultivar,1,1,'L');//
		    $pdf->Cell(100,5,utf8_decode('Requerente:'.$nome),1,0,'L');//
		    $pdf->Cell(100,5,utf8_decode('Endereço:'.$endereco),1,0,'L');//

			//vai preparar para mostrar os dados
			//CAPTURA A MODALIDADE ARQUIVADA
			$generica=new tabelagenerica();
			$generica->tabela="tetrazolio";
			$generica->campos_valores = array(
			    "tet_repeticao" => NULL,
			);
			$generica->extras_select =" where (tet_repeticao='8' or tet_repeticao='9'  or tet_repeticao='7' ) and tet_amostra=".$amostraLong;
			$generica->selecionaCampos($generica);
			$registros=0;
			while ($resgenerica = $generica->retornaDados()):
			    $registros++;
				$modalidadeArquivada=$resgenerica->tet_repeticao;
			endwhile;
			
			$objetocalculo=new calculos();
			//$modalidadeArquivada='8';
			$matrizResumo=$objetocalculo->calculaTetrazolioSoja($amostraLong,$modalidadeArquivada);
			$registrosRep1=$matrizResumo[1][19];
			$registrosRep2=$matrizResumo[2][19];
			$vigor=$matrizResumo[3][11];
			$cota1=55;
            $larg1=14;
            $larg2=21;
			$pdf->setXY($margemEsquerda,$cota1);
			for($i=0;$i<=3;$i++)
			{
			     for($j=1;$j<=19;$j++)
				 {
		               if($j==18):
                		   $pdf->Cell($larg2,5,$matrizResumo[$i][$j],1,0,'L');//penultimo item
					   elseif($j==19):
                		  $pdf->Cell($larg2,5,$matrizResumo[$i][$j],1,1,'L');//item 19 com quebra e lagura 2
					   else:
                		  $pdf->Cell($larg1,5,$matrizResumo[$i][$j],1,0,'L');//a massa de dados todos com largura 1
					   endif;
				 }
			}
			
			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
		
?>
